import request from '@/utils/request'

// 查询电实时数据列表
export function listRecordDnbInstant(query) {
  return request({
    url: '/ems/record/recordDnbInstant/list',
    method: 'get',
    params: query
  })
}

// 查询电实时数据详细
export function getRecordDnbInstant(objId) {
  return request({
    url: '/ems/record/recordDnbInstant/' + objId,
    method: 'get'
  })
}

// 新增电实时数据
export function addRecordDnbInstant(data) {
  return request({
    url: '/ems/record/recordDnbInstant',
    method: 'post',
    data: data
  })
}

// 修改电实时数据
export function updateRecordDnbInstant(data) {
  return request({
    url: '/ems/record/recordDnbInstant',
    method: 'put',
    data: data
  })
}

// 删除电实时数据
export function delRecordDnbInstant(objId) {
  return request({
    url: '/ems/record/recordDnbInstant/' + objId,
    method: 'delete'
  })
}
